Package ru.yandex.clickhouse.response

## Class ClickHouseResponseFactory

- java.lang.Object
- - ru.yandex.clickhouse.response.ClickHouseResponseFactory

All Implemented Interfaces:
  `ResponseFactory<ClickHouseResponse>`

    public class ClickHouseResponseFactory
    extends Object
    implements ResponseFactory<ClickHouseResponse>

### Constructor Summary

Constructors
`ClickHouseResponseFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClickHouseResponse` `create​(InputStream response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseResponseFactory

    public ClickHouseResponseFactory()

### Method Detail

#### create

    public ClickHouseResponse create​(InputStream response)
                              throws IOException

Specified by:
  `create` in interface `ResponseFactory<ClickHouseResponse>`
Throws:
  `IOException`